"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
exports.__esModule = true;
exports.builder = exports.usage = exports.desc = exports.command = void 0;
var helpers_1 = require("../../../helpers");
exports.command = 'create';
exports.desc = 'create a git resouce';
exports.usage = 'Usage: $0 create <resource> [options]';
exports.builder = function (yargs) { return yargs
    .commandDir('../create', {
    extensions: ['cmd.js', 'cmd.ts']
})
    .demandCommand(2, helpers_1.errormsg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["must specify the resource type"], ["must specify the resource type"]))))
    .option('output', {
    alias: 's',
    describe: 'Where to save the command output to',
    defaultDescription: 'prints stdout',
    type: 'string'
})
    .example("$0 create " + exports.command + " -o some-owner -r some-repo -e http://some-endpoint/webhooks -s secret", 'Will create a webhook for repo: "some-owner/some-repo'); };
var templateObject_1;
//# sourceMappingURL=create.cmd.js.map