"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
exports.__esModule = true;
exports.builder = exports.usage = exports.desc = exports.command = void 0;
var helpers_1 = require("../../../helpers");
exports.command = 'list';
exports.desc = 'list various git repository resources';
exports.usage = 'Usage: $0 list <resource> [options]';
exports.builder = function (yargs) { return yargs
    .commandDir('../list', {
    extensions: ['cmd.js', 'cmd.ts']
})
    .demandCommand(2, helpers_1.errormsg(templateObject_1 || (templateObject_1 = __makeTemplateObject(["must specify the resource type"], ["must specify the resource type"]))))
    .option('output', {
    alias: 's',
    describe: 'Where to save the command output to',
    defaultDescription: 'prints stdout',
    type: 'string'
})
    .option('limit', {
    alias: 'l',
    describe: 'Limit the number of resources returned',
    defaultDescription: 'no limit',
    type: 'number'
})
    .example("$0 " + exports.command + " branches -o some-owner -r some-repo", 'Will display a list of all branches in the specified git repository'); };
var templateObject_1;
//# sourceMappingURL=list.cmd.js.map